> ## Documentation Index
> Fetch the complete documentation index at: https://docs.totoy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Deletes a Project and all its associated resources.



## OpenAPI

````yaml /api-reference/openapi.yaml delete /projects/{project_id}
openapi: 3.0.3
info:
  title: Totoy API
  description: >-
    Explain documents in simple, plain or detailed language and create Knowledge
    Bases from your documents in 19 languages.
  termsOfService: https://www.totoy.ai
  contact:
    name: Totoy Support
    email: support@totoy.ai
  license:
    name: MIT
    url: https://raw.githubusercontent.com/totoy-ai/totoy-openapi/main/LICENSE
  version: 1.1.5
servers:
  - url: https://api.totoy.ai/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Explanation
    description: >-
      Given a document in any language, an output language and one of three
      language levels, the assistant will return an `Explanation` for this
      document.
  - name: Knowledge Bases
    description: >-
      Create `Knowledge Bases` from document or text `Sources` and chat with an
      assistant about them in 19 languages.
  - name: Sources
    description: >-
      `Sources` are used to upload documents (.pdf, .jpg or .png) or plain texts
      that can be used with features like `Explanation` or `Knowledge Bases.`
  - name: Projects
    description: '`Projects` are used to group `Knowledge Bases` and `Explanations`.'
  - name: Organization
    description: Get information about your `Organization`.
paths:
  /projects/{project_id}:
    delete:
      tags:
        - Projects
      summary: Deletes a Project and all its associated resources.
      operationId: deleteProject
      parameters:
        - $ref: '#/components/parameters/projectIdParam'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteProjectResponse'
              examples:
                delete-project-response-example:
                  $ref: '#/components/examples/delete-project-response-example'
        4XX:
          $ref: '#/components/responses/general4XXResponse'
        5XX:
          $ref: '#/components/responses/general5XXResponse'
components:
  parameters:
    projectIdParam:
      name: project_id
      in: path
      required: true
      schema:
        type: string
        maxLength: 28
        pattern: ^pj_[a-zA-Z0-9]{25}$
      description: Unique identifier for a `Project` created in Totoy.
      examples:
        project-id-example:
          $ref: '#/components/examples/project-id-example'
  schemas:
    DeleteProjectResponse:
      title: DeleteProjectResponse
      type: object
      additionalProperties: false
      properties:
        project_id:
          description: The unique identifier of a `Project`.
          maxLength: 28
          pattern: ^pj_[a-zA-Z0-9]{25}$
          type: string
          example: pj_avX7imfLaPcQnv5ckvGlOEBA9
        knowledge_base_ids:
          description: A list of `knowledge_base_ids` that were assigned to the `Project`.
          type: array
          items:
            type: string
            maxLength: 28
            pattern: ^kb_[a-zA-Z0-9]{25}$
          maxItems: 1500
          example: []
        source_ids:
          description: >-
            A list of `source_ids` of `Sources` that were assigned to the
            `Project`.
          type: array
          items:
            type: string
            maxLength: 29
            pattern: ^src_[a-zA-Z0-9]{25}$
            description: >-
              Unique identifier for a `Source` that was assigned to the
              `Project`.
          maxItems: 10000
          example:
            - src_oXiYDg8QOc9JsOk86idRXiywD
            - src_qoY7rSGkiWtn4NP8kPXc7xzrq
        deleted:
          description: >-
            Indicates whether the `Project`, the `Sources` and `Knowledge Bases`
            have been successfully deleted.
          type: boolean
          example: true
      required:
        - project_id
        - knowledge_base_ids
        - source_ids
        - deleted
    Problem:
      title: Problem
      description: A Response Body for HTTP Problem Details in RFC 9457 format.
      type: object
      additionalProperties: false
      properties:
        type:
          description: A URI reference that identifies the problem type.
          type: string
          maxLength: 512
          example: https://docs.totoy.ai/probs/out-of-credit
        title:
          description: A short, human-readable summary of the problem type.
          type: string
          maxLength: 512
          example: You do not have enough credit.
        status:
          description: >-
            The HTTP status code generated by the origin server for this
            occurrence of the problem.
          type: integer
          format: int32
          example: 403
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type: string
          maxLength: 4096
          example: You do not have enough credit to perform this operation.
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          type: string
          maxLength: 512
          example: /projects/pj_avX7imfLaPcQnv5ckvGlOEBA9
  examples:
    delete-project-response-example:
      summary: Delete Project Response Example
      description: An example response for a `Project` DELETE Request.
      value:
        project_id: pj_avX7imfLaPcQnv5ckvGlOEBA9
        knowledge_base_ids:
          - kb_feMfJbeqbAEj4u8K5HqmKpUbY
          - kb_kfjd34sfgsd2gfskijuh23zgt
        source_ids:
          - src_oXiYDg8QOc9JsOk86idRXiywD
          - src_qoY7rSGkiWtn4NP8kPXc7xzrq
        deleted: true
    project-id-example:
      summary: Project ID Example
      description: An example for a `project_id`.
      value: pj_avX7imfLaPcQnv5ckvGlOEBA9
  responses:
    general4XXResponse:
      description: Client Error
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    general5XXResponse:
      description: Server Error
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````